<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pktewig.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

openside("Wir sind TippSpiel - ewige Tabelle");			
$order = "points desc, points_wob desc, points1 desc, points3 desc, points5 desc, pointsd desc";
echo '<table align="center" width="100%" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
<tr class="tbl2"><td align="center"></td><td align="center"><b>'.$locale['wst118'].'</b></td><td align="center"></td>';
echo '<td align="center"><b>'.$locale['wst127'].'</b></td>';	
echo '<td align="center"><b>'.$locale['wst204'].'</b></td>';
echo '<td align="center"><b>'.$locale['wst205'].'</b></td>';
echo '<td align="center"><b>'.$locale['wst206'].'</b></td>';
echo '<td align="center"><b>'.$locale['wst207'].'</b></td>';
echo '<td align="center"><b>'.$locale['wst208'].'</b></td>';	
echo '<td align="center"><b>'.$locale['wst126'].'</b></td>';
echo '<td align="center"><b>->1</b></td></tr>';	

$qrystr = "select A.user_id, sum(points_wob) as points_wob, sum(points) as points, sum(points1) as points1, sum(points3) as points3, sum(points5) as points5, sum(pointsd) as pointsd from ".$db_prefix."wst_userpoints as A group by A.user_id order by $order";	
$result = dbquery($qrystr);	
$tab = 1; 
while ($data = dbarray($result))
{
	$user = $data['user_id'];							
	if ($tab%2 == 0) {$tox_class = 'tbl2';} else {$tox_class = 'tbl1';}
	if ($data['user_id'] == $userdata['user_id']) {$tox_class = 'tbl3';}
	$result_u = dbquery("select * from ".$db_prefix."users where user_id=$user");
	$data_u = dbarray($result_u);		
	$ava = $data_u['user_avatar'];
	$avaurl = IMAGES."/avatars/".$ava; 
	$profurl = BASEDIR."profile.php?lookup=".$data['user_id'];
	echo '<tr class="'.$tox_class.'">';
	if ($tab==1) echo "<td><img src='symbols/cup_gold.gif' border='0'></td>";
	if ($tab==2) echo "<td><img src='symbols/cup_silver.gif' border='0'></td>";
	if ($tab==3) echo "<td><img src='symbols/cup_bronze.gif' border='0'></td>";
	if ($tab>3) echo '<td></td>';
	echo '<td align="right">'.$tab.'.</td>';
	if ($ava != "" && file_exists($avaurl)) {
		echo "<td align='center'><a href=$profurl title='".$locale['wst254']."'><img src=$avaurl border='0' width='25'></a></td>";
	} else { 
		echo "<td align='center'><img src='img/nologo.gif' border='0'></a></td>";
		}

	if ($tab == 1) $p1points = $data['points'];
	echo '<td align="center"><a href="'.$profurl.'" title="'.$locale['wst254'].'">'.$data_u['user_name'].'</a></td>';
	echo '<td align="center">'.$data['points1'].'</td>';
	echo '<td align="center">'.$data['points3'].'</td>';
	echo '<td align="center">'.$data['points5'].'</td>';
	echo '<td align="center">'.$data['pointsd'].'</td>';		
	echo '<td align="center">'.$data['points_wob'].'</td>';
	echo '<td align="center"><b><font color="red">'.$data['points'].'</font></b></td>';
	echo '<td align="center"><b>('.abs($p1points-$data['points']).')</b></td></tr>';
	$tab++;
}
echo '</table>';
closetable();

require_once THEMES."templates/footer.php";
?>